# --8<--8<--8<--8<--
#
# Copyright (C) 2007 Smithsonian Astrophysical Observatory
#
# This file is part of mst-cpan
#
# mst-cpan is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# mst-cpan is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MST::CPAN::Handler::Astro_FITS_Header;

use strict;
use warnings;

use base 'MST::CPAN::Handler';

use CPAN qw();

# Astro::FITS::Header always gets installed incorrectly
# because the VERSION is taken from a file which never
# gets updated.  So, we grab all files on CPAN and
# install the latest (by sorting alphabetically)

sub install
{
  my @mods = CPAN::Shell->expand('Module', '/Astro::FITS::Header/' );
  my $mod = (sort { $a->cpan_file cmp $b->cpan_file }  @mods)[-1];
  my $dist = CPAN::Shell->expand( 'Distribution', $mod->cpan_file );
  $dist->install unless $dist->uptodate;
}

1;
